## binutils 2.39

=== debian/changelog ===
binutils (2.39-8) unstable; urgency=medium

  * Fix PR/gprofng/29663: Use the --libdir path to find libraries.
    Closes: #1016725, #1019657.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Oct 2022 09:55:07 +0200

binutils (2.39-7) unstable; urgency=medium

  * Update VCS attributes.
  * Make the gold man page target independent. Closes: #1021506.
  * Fix libctf0 package description. Closes: #1004621.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Oct 2022 12:07:25 +0200

binutils (2.39-6) unstable; urgency=medium

  * Fix arch-only build.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Sep 2022 13:34:10 +0200

binutils (2.39-5) unstable; urgency=medium

  * Only install /etc/gprofng.rc when available.
  * Don't ship a symbols file for libgprofng0.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Sep 2022 10:10:39 +0200

binutils (2.39-4) unstable; urgency=medium

  * Update from the binutils 2.39 branch:
    - Fix PR gold/29542, PowerPC gold internal error.
  * Build packages for arc-linux-gnu. Closes: #1002705.
  * Fix some lintian errors and warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2022 13:35:26 +0200

binutils (2.39-3) unstable; urgency=medium

  * Ignore two failing tests on amd64, sh4 and x32, some more on hurd-i386.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Sep 2022 14:22:36 +0200

binutils (2.39-1) unstable; urgency=medium

  * binutils 2.39 release.
  * Update from the binutils 2.39 branch:
    - Fix PR gas/29451, properly skip zero-size functions.
    - Fix PR 29462, internal error in relocate (POWER).
    - Fix PR29466, APP/NO_APP with .linefile.
    - LoongArch:ld: Fix relocation error of pcrel.
    - PowerPC64 pcrel got relocs against local symbols.
    - Fix PR ld/29435, elf: Reset alignment for each PT_LOAD segment.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Sep 2022 16:40:37 +0200
