## binutils 2.39.50.20221129

=== debian/changelog ===
binutils (2.39.50.20221129-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 29 Nov 2022 08:23:19 +0100

binutils (2.39.50.20221116-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Nov 2022 11:00:35 +0100

binutils (2.39.50.20221101-2) experimental; urgency=medium

  * Ignore regressions on armel, armhf. See PR ld/29739.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Nov 2022 16:40:46 +0100

binutils (2.39.50.20221101-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 01 Nov 2022 11:23:18 +0100

binutils (2.39.50.20221010-1) experimental; urgency=medium

  * New upstream snapshot.
  * Make the gold man page target independent. Closes: #1021506.
  * Fix libctf0 package description. Closes: #1004621.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Oct 2022 12:12:53 +0200

binutils (2.39.50.20221004-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Oct 2022 12:14:31 +0200
