=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/binutils-2.39
-Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git -b binutils-2.39
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
+Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
 XS-Testsuite: autopkgtest
 
 Package: binutils-for-host
@@ -283,3 +283,4 @@
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc (= ${source:Version})
 Provides: binutils-i586-linux-gnu
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
