## binutils 2.39.90.20221231

=== debian/changelog ===
binutils (2.39.90.20221231-1+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 2.29-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 17 Aug 2017 15:41:49 +0000]
  * Disable testsuite, it fails on our lxc based autobuilders.

  [changes brought forward from 2.31.1-16+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 06 Feb 2020 17:10:11 +0000]
  * Allow dependency of binutils on binutils-triplet to be satisfied by
    foreign architectures, to facilitate setting up environments where the
    linker is 64-bit while everything else is 32-bit.

  [changes brought forward from 2.35-3+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Tue, 22 Sep 2020 18:10:17 +0000]
  * Build sufficient cross binutils to support u-boot build.

  [changes brought forward from 2.35.1-3+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Tue, 01 Dec 2020 21:55:01 +0000]
  * Build the same set of cross-binutils on arm64 as on armhf.
    (avoids issues when control is generated on armhf and then package is
    built on arm64)
  * Remove <!nocheck> build-depends as testsuite is disabled.

  [changes brought forward from 2.37.90.20220130-2+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 10 Feb 2022 12:05:47 +0000]
  * Apply patch proposed upstream to fix glibc link issue.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 05 Jan 2023 03:14:31 +0000

binutils (2.39.90.20221231-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.40 branch.
  * Revert part of "RISC-V: re-arrange opcode table for consistent alias
    handling", see PR gas/29940. Closes: #1026979.
  * Fix typo in README (Antonio Terceiro).
  * Remove test for ancient version in maintainer scripts (Gioele Barabucci).
  * Update VCS attributes in the control file.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Jan 2023 13:37:39 +0100

binutils (2.39.50.20221224-1) unstable; urgency=medium

  * New upstream snapshot.
  * Don't link ld with libjansson explicitly. Closes: #1025796.
  * Don't ship libsframe in cross binutils. Closes: #1026779.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Dec 2022 15:25:43 +0100
