## binutils 2.40

=== debian/changelog ===
binutils (2.40-2ubuntu4) lunar; urgency=medium

  * debian/binutils-common.preinst: remove /etc/gprofng.rc if it has not been
    modified to avoid unnecessary conffile prompt on upgrade (LP: #2015778)

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Thu, 13 Apr 2023 16:38:40 -0400

binutils (2.40-2ubuntu3) lunar; urgency=medium

  * Update from the binutils 2.40 branch:
    - Translation updates.
    - Fix PR ld/30155, ld segfault in _bfd_nearby_section.
    - Fix PR30046, power cmpi leads to unknown architecture.
    - ppc32 and "LOAD segment with RWX permissions"

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Mar 2023 09:47:46 +0100

binutils (2.40-2ubuntu2) lunar; urgency=medium

  * Update from the binutils 2.40 branch:
    - Translation updates.
    - libctf: update regexp to allow makeinfo to build document.
    - Fix PR libsframe/30014.
    - gprofng: PR29521 [docs] man pages are not in the release tarball.
    - gprofng: PR30043 libgprofng.so.* are installed to a wrong location.
    - RISC-V: make C-extension JAL available again for (32-bit) assembly.
    - bpf: fix error conversion from long unsigned int to unsigned int.
    - Pass $JANSSON_LIBS and $ZSTD_LIBS to ld-bootstrap/bootrap.exp.
    - gas: correct symbol name comparison in .startof./.sizeof. handling.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Feb 2023 06:31:44 +0100

binutils (2.40-2ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Jan 2023 18:30:59 +0100

binutils (2.40-2) unstable; urgency=high

  * binutils 2.40 release.
    - ARM: Fix ld bloat introduced between binutils-2.38 and 2.39.
    - ld/testsuite: Adjust for ELF_MAXPAGESIZE 0x1000.
    - PR libctf/29983: ctf-link outdated input check faulty.
    - PR bfd/29988, Fix a potential illegal memory access in the BFD library
      when parsing a corrupt DWARF file.
    - PR gas/29940, gas/RISC-V: adjust assembler for opcode table re-ordering.
    - IBM zSystems: Fix offset relative to static TLS.
  * Remove the workaround for PR gas/29940.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Jan 2023 18:24:22 +0100

binutils (2.39.90.20230110-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.40 branch.
    - libsframe: adjust an incorrect check in flip_sframe.
    - sframe: fix the defined SFRAME_FRE_TYPE_*_LIMIT constants.
    - Fix PR ld/18841, ifunc relocation ordering on ARM.
    - Skip PR ld/23169 test on ARM.
    - Fix PR 29972, inconsistent format specification in singular form.
    - Avoid unaligned pointer reads in PEP idata section.
    - Update translations.
  * Build-depend on libzstd-dev.
  * binutils-source: Depend on libjansson-dev, pkg-config, libzstd-dev.
  * debian/copyright: Update years.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2023 06:17:01 +0100

binutils (2.39.90.20230104-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.40 branch.
  * Also don't ship libsframe in i386 cross binutils. Closes: #1026779.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Jan 2023 08:44:08 +0100

binutils (2.39.90.20221231-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Jan 2023 16:24:19 +0100

binutils (2.39.50.20221224-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Dec 2022 10:41:27 +0100

binutils (2.39.50.20221211-0ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Dec 2022 18:49:23 +0100

binutils (2.39.50.20221129-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 29 Nov 2022 09:00:42 +0100

binutils (2.39.50.20221116-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Nov 2022 16:04:07 +0100

binutils (2.39.50.20221101-2ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Nov 2022 16:44:22 +0100

binutils (2.39-8ubuntu2) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 31 Oct 2022 18:09:12 +0100

binutils (2.39-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 10:38:45 +0200

binutils (2.39-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Aug 2022 13:07:40 +0200

binutils (2.38.90.20220713-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Jul 2022 12:11:50 +0200

binutils (2.38.50.20220707-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jul 2022 12:38:17 +0200

binutils (2.38.50.20220629-4ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Jul 2022 16:22:59 +0200

binutils (2.38.50.20220615-4ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 16 Jun 2022 13:33:22 +0200

binutils (2.38.50.20220609-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:

