=== debian/control ===
--- 
+++ 
@@ -1,17 +1,34 @@
 Source: binutils
 Section: devel
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Uploaders: James Troup <binutils@elmo.tasta.io>
 Standards-Version: 4.6.1
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps, help2man,
   libjansson-dev, pkg-config,
+  g++-aarch64-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
+  g++-arm-linux-gnueabihf [amd64 arm64 i386 x32] <!nocheck>,
+  g++-powerpc64le-linux-gnu [amd64 arm64 i386 ppc64 x32] <!nocheck>,
+  g++-s390x-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
+  g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-powerpc-linux-gnu [amd64 i386 ppc64el x32] <!nocheck>,
+  g++-powerpc64-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-riscv64-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
+  g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-sparc64-linux-gnu [amd64 i386 x32] <!nocheck>,
+  g++-i686-linux-gnu [amd64 arm64 ppc64el x32] <!nocheck>,
+  g++-x86-64-linux-gnu [arm64 i386 ppc64el] <!nocheck>,
+  g++-x86-64-linux-gnux32 [amd64 arm64 i386 ppc64el] <!nocheck>,
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
-Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils/tree/binutils-2.40
+Vcs-Browser: https://salsa.debian.org/toolchain-team/binutils
 Vcs-Git: https://salsa.debian.org/toolchain-team/binutils.git
 XS-Testsuite: autopkgtest
 
@@ -42,7 +59,7 @@
 Package: binutils
 Architecture: any
 Depends: ${shlibs:Depends}, binutils-common (= ${binary:Version}),
-  libbinutils (= ${binary:Version}), ${binutils:native}:any (= ${binary:Version})
+  libbinutils (= ${binary:Version}), ${binutils:native} (= ${binary:Version})
 Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
   binutils-multiarch (<< 2.27-8)
 Provides: elf-binutils, ${gold:Provides}
@@ -236,7 +253,7 @@
 
 Package: binutils-x86-64-linux-gnu
 Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32 armhf
+Architecture: amd64 arm64 i386 ppc64el x32
 Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
@@ -254,7 +271,7 @@
 Package: binutils-x86-64-linux-gnu-dbg
 Section: debug
 Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32 armhf
+Architecture: amd64 arm64 i386 ppc64el x32
 Multi-Arch: foreign
 Depends: binutils-x86-64-linux-gnu (= ${binary:Version})
 Description: GNU binary utilities, for x86-64-linux-gnu target (debug symbols)
@@ -262,31 +279,8 @@
 
 Package: binutils-i686-linux-gnu
 Priority: optional
-Architecture: i386 amd64 arm64 ppc64el x32 armhf
+Architecture: i386 amd64 arm64 ppc64el x32
 Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc (= ${source:Version})
-Provides: binutils-i586-linux-gnu
-Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
-Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
-Description: GNU binary utilities, for i686-linux-gnu target
- This package provides GNU assembler, linker and binary utilities
- for the i686-linux-gnu target.
- .
- You don't need this package unless you plan to cross-compile programs
- for i686-linux-gnu and i686-linux-gnu is not your native platform.
-
-Package: binutils-i686-linux-gnu-dbg
-Section: debug
-Priority: optional
-Architecture: i386 amd64 arm64 ppc64el x32 armhf
-Multi-Arch: foreign
-Depends: binutils-i686-linux-gnu (= ${binary:Version})
-Description: GNU binary utilities, for i686-linux-gnu target (debug symbols)
- This package provides debug symbols for binutils-i686-linux-gnu.
-
-Package: binutils-aarch64-linux-gnu
-Priority: optional
-Architecture: arm64 amd64 i386 x32 ppc64el armhf
-Multi-Arch: allowed
