=== debian/rules ===
--- 
+++ 
@@ -144,9 +144,7 @@
                    ia64 riscv64 \
                    kfreebsd-amd64 kfreebsd-i386 hurd-i386
   else ifeq ($(DEB_HOST_ARCH),arm64)
-    CROSS_ARCHS ?= amd64 armel armhf i386 riscv64
-  else ifeq ($(DEB_HOST_ARCH),armhf)
-    CROSS_ARCHS ?= amd64 armel arm64 i386 riscv64
+    CROSS_ARCHS ?= amd64 armel armhf i386 ppc64el riscv64 s390x arc x32
   else ifeq ($(DEB_HOST_ARCH),ppc64)
     CROSS_ARCHS ?= ppc64el
   else ifeq ($(DEB_HOST_ARCH),ppc64el)
@@ -193,15 +191,15 @@
 
 HOST_ARCHS_arc = amd64 i386 x32 arm64
 HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el armhf
-HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el armhf
+HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el
 HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
-HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64
+HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
 HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_amd64 = arm64 i386 ppc64el x32 armhf
-HOST_ARCHS_i386 = amd64 arm64 ppc64el x32 armhf
+HOST_ARCHS_amd64 = arm64 i386 ppc64el x32
+HOST_ARCHS_i386 = amd64 arm64 ppc64el x32
 HOST_ARCHS_ia64 = amd64 i386 x32
-HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el armhf
+HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el
 
 HOST_ARCHS_alpha = amd64 i386 x32
 #HOST_ARCHS_arc = amd64 i386 x32
@@ -210,14 +208,14 @@
 HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el
 HOST_ARCHS_sh4 = amd64 i386 x32
 HOST_ARCHS_sparc64 = amd64 i386 x32
-HOST_ARCHS_x32 = amd64 i386 ppc64el
+HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el
 
 HOST_ARCHS_mips = amd64 i386 x32
-HOST_ARCHS_mipsel = amd64 i386 x32 ppc64el
+HOST_ARCHS_mipsel = amd64 i386 x32 arm64 ppc64el
 HOST_ARCHS_mipsn32 = amd64 i386 x32
 HOST_ARCHS_mipsn32el = amd64 i386 x32
 HOST_ARCHS_mips64 = amd64 i386 x32
-HOST_ARCHS_mips64el = amd64 i386 x32 ppc64el
+HOST_ARCHS_mips64el = amd64 i386 x32 arm64 ppc64el
 
 HOST_ARCHS_mipsr6 = amd64 i386 x32
 HOST_ARCHS_mipsr6el = amd64 i386 x32
@@ -242,3 +240,5 @@
 P_CROSS		= binutils-$(subst _,-,$(CROSS_GNU_TYPE))
 D_CROSS		= debian/$(P_CROSS)
 
+# If $(TARGET) is not set, try reading debian/target
+ifeq (,$(TARGET))
