## binutils 2.40.50.20230111

=== debian/changelog ===
binutils (2.40.50.20230111-1) experimental; urgency=medium

  * New upstream snapshot, taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jan 2023 07:47:52 +0100
